SmakeSmake API Docs
EndpointsProducts

Show a product

GET
/products/{id}
AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token — how to obtain one is described under Setup → Authentication.

In: header

Path Parameters

id*integer

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

Request example
curl -X GET "https://example.com/products/0" \  -H "Accept: application/json"
{  "data": {    "id": 0,    "handle": "string",    "name": "string",    "variants": [      {        "id": 0,        "sku": "string",        "name": "string",        "state": "open",        "price": {          "amount": 0,          "currency": "string"        },        "customizations": [          {            "id": 0,            "hash": "string",            "view_area": "string",            "production_method": {              "id": 0,              "handle": "string",              "name": "string",              "description": "string"            }          }        ],        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ]  }}